/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * The contents of this file are subject to the Mozilla Public 
 * License version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or 
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Initial Developer of the Original Code is R.V.Guha. Portions
 * created by R.V.Guha are copyright (c) 2000 R.V.Guha. All Rights
 * Reserved.
 */

#ifndef RDFDB_LIBRDF_PARSERS_H
#define RDFDB_LIBRDF_PARSERS_H

#include "rdf.h"
#include <stdio.h>

/* JvdG Stripped this down quite a bit because it now uses raptor for parsing. */
typedef struct _RDF_ParserStruct {
/*  XML_StartElementHandler startElementHandler;
  XML_EndElementHandler   endElementHandler;
  XML_CharacterDataHandler   characterDataHandler;
  RDF_Resource stack[256];
  int   depth;
  int   status;
  RDF_SerializationType type;
  XML_Parser xml_parser;*/
  const char* url;
  int   count;
  RDF_DB db;
  char* code;/*
  HashTable classHash;*/
  FILE *file;
  /*char* cbuff;
  int   cbuffSize;
  int   cbuffLen;
  void* userData;*/ /* JvdG Used by the new RDF/XML parser. */
  const char* blank_node_prefix;
  size_t blank_node_prefix_len;
  RDF_Operation operation; /* JvdG Added to also support unasserting triples (only valid when code is null). */
} RDF_ParserStruct;

/*RDF_Resource newAnonResource (RDF_Parser parser, const char* name);*/
/*
#define EXPECTING_OBJECT 1
#define EXPECTING_PROPERTY 2
*/
#endif/*RDFDB_LIBRDF_PARSERS_H*/
